# Uses of Class
org.apache.sysds.runtime.ooc.cache.io.OOCIOHandler.SourceReadRequest

Packages that use OOCIOHandler.SourceReadRequest
Package
Description
org.apache.sysds.runtime.ooc.cache.io

## Uses of OOCIOHandler.SourceReadRequest in org.apache.sysds.runtime.ooc.cache.io

Methods in org.apache.sysds.runtime.ooc.cache.io with parameters of type OOCIOHandler.SourceReadRequest
Modifier and Type
Method
Description
`CompletableFuture<OOCIOHandler.SourceReadResult>`
OOCIOHandler.`scheduleSourceRead(OOCIOHandler.SourceReadRequest request)`
Schedule an asynchronous read from an external source into the provided target stream.
`CompletableFuture<OOCIOHandler.SourceReadResult>`
OOCMatrixIOHandler.`scheduleSourceRead(OOCIOHandler.SourceReadRequest request)`